Index: doc/user/conf.t
===================================================================
--- doc/user/conf.t	(revision f50c11bdd55725b0519f66e63a5ace734261c1d6)
+++ doc/user/conf.t	(revision 81ecc05b4cf2c4cbb5b75aec4dca831c4cd231d5)
@@ -63,4 +63,5 @@
 #define CONFIGURE_TICKS_PER_TIMESLICE       50 /* 50 milliseconds */
 
+#define CONFIGURE_MAXIMUM_TASKS 4
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 @end group
@@ -82,4 +83,44 @@
 produced.
 
+The user should be aware that the defaults are intentionally
+set as low as possible.  By default, no application resources
+are configured.  The @code{confdefs.h} file ensures that
+at least one application tasks or thread is configured
+and that at least one of the initialization task/thread
+tables is configured.
+
+The @code{confdefs.h} file estimates the amount of 
+memory required for the RTEMS Executive Workspace.  This
+estimate is only as accurate as the information given
+to @code{confdefs.h} and may be either too high or too
+low for a variety of reasons.  Some of the reasons that
+@code{confdefs.h} may reserve too much memory for RTEMS
+are:
+
+@itemize @bullet
+@item All tasks/threads are assumed to be floating point.
+@end itemize
+
+Conversely, there are many more reasons, the resource
+estimate could be too low:
+
+@itemize @bullet
+@item Task/thread stacks greater than minimum size must be
+accounted for explicitly by developer.
+
+@item Memory for messages is not included.
+
+@item Device driver requirements are not included.
+
+
+@item Network stack requirements are not included.
+
+@item Requirements for add-on libraries are not included.
+@end itemize
+
+In general, @code{confdefs.h} is very accurate when given
+enough information.  However, it is quite easy to use
+a library and not account for its resources.
+
 The following subsection list all of the constants which can be
 set by the user.
@@ -96,5 +137,20 @@
 maximum number of files that can be concurrently open.  Libio requires
 a Classic RTEMS semaphore for each file descriptor as well as one 
-global one.  The default value is 20 file descriptors.  
+global one.  The default value is 3 file descriptors which is
+enough to support standard input, output, and error output.
+
+@findex CONFIGURE_TERMIOS_DISABLED
+@item @code{CONFIGURE_TERMIOS_DISABLED} is defined if the
+software implementing POSIX termios functionality is
+not going to be used by this application.  By default, this
+is not defined and resources are reserved for the
+termios functionality.
+
+@findex CONFIGURE_NUMBER_OF_TERMIOS_PORTS
+@item @code{CONFIGURE_NUMBER_OF_TERMIOS_PORTS} is set to the
+number of ports using the termios functionality.  Each 
+concurrently active termios port requires resources.
+By default, this is set to 1 so a console port can be
+used.
 
 @findex CONFIGURE_HAS_OWN_MOUNT_TABLE
@@ -107,13 +163,14 @@
 @code{rtems_filesystem_mount_table_t}.
 
-@findex CONFIGURE_USE_MINIIMFS_AS_BASE_FILESYSTEM
-@item @code{CONFIGURE_USE_MINIIMFS_AS_BASE_FILESYSTEM} is defined
-if the application wishes to use a minimal functionality subset
-of the In-Memory FileSystem (IMFS).  The miniIMFS is comparable
+@findex CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM
+@item @code{CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM} is defined
+if the application wishes to use the full functionality
+IMFS.  By default, the miniIMFS is used.  The miniIMFS
+is a minimal functionality subset of the In-Memory
+FileSystem (IMFS).  The miniIMFS is comparable
 in functionality to the pseudo-filesystem name space provided 
 before RTEMS release 4.5.0.  The miniIMFS supports
 only directories and device nodes and is smaller in executable
-code size than the full IMFS.  By default, this is not
-defined and the full functionality IMFS is used.
+code size than the full IMFS.
 
 @findex STACK_CHECKER_ON
@@ -142,5 +199,8 @@
 usually set by the BSP but since this memory is allocated
 from the RTEMS Ram Workspace, it must be accounted for.  The
-default for this field is RTEMS_MINIMUM_STACK_SIZE.
+default for this field is RTEMS_MINIMUM_STACK_SIZE.  [NOTE:
+At this time, changing this constant does NOT change the
+size of the interrupt stack, only the amount of memory
+reserved for it.]
 
 @findex CONFIGURE_EXECUTIVE_RAM_WORK_AREA
@@ -288,5 +348,5 @@
 @item @code{CONFIGURE_MAXIMUM_TASKS} is the maximum number of
 Classic API tasks that can be concurrently active. 
-The default for this field is 10.
+The default for this field is 0.
 
 @findex CONFIGURE_MAXIMUM_TIMERS
@@ -416,5 +476,5 @@
 @item @code{CONFIGURE_MAXIMUM_POSIX_THREADS} is the maximum number of
 POSIX API threads that can be concurrently active.
-The default is 10.
+The default is 0.
 
 @findex CONFIGURE_MAXIMUM_POSIX_MUTEXES
@@ -504,5 +564,5 @@
 is the maximum number of
 ITRON API tasks that can be concurrently active.
-The default is 10.
+The default is 0.
 
 @findex CONFIGURE_MAXIMUM_ITRON_SEMAPHORES
Index: doc/user/example.texi
===================================================================
--- doc/user/example.texi	(revision f50c11bdd55725b0519f66e63a5ace734261c1d6)
+++ doc/user/example.texi	(revision 81ecc05b4cf2c4cbb5b75aec4dca831c4cd231d5)
@@ -75,4 +75,6 @@
 #define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER    /* for time services */
 
+#define CONFIGURE_MAXIMUM_TASKS 2
+
 #define CONFIGURE_INIT_TASK_NAME rtems_build_name( 'E', 'X', 'A', 'M' )
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
